<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:p="http://primefaces.org/ui">

    <body>

        <ui:composition template="../WEB-INF/template/template.xhtml">
            <ui:define name="conteudo">


                <h:form prependId="false" id="form">
                    <p:growl id="mensagens" />

                    <b:container fluid="true">
                        <b:row>
                            <b:column medium-screen="3"></b:column>
                            <b:column medium-screen="6">

                                <b:panel  title="Cadastro de Gênero" collapsible="false">

                                    <h:outputText value="Decrição:"/>
                                    <b:inputText placeholder=""  value="#{generoBean.genero.descricao}" />
                                </b:panel>

                            </b:column>
                            <b:column medium-screen="3"></b:column>
                        </b:row>
                        <b:row>
                            
                            <b:column span="2" offset="5">
                                <b:commandButton value="Salvar" look="primary" style="width:100%" actionListener="#{generoBean.salvar}" update="form" ajax="true" />
                            </b:column>
                            <b:column span="2">
                                <b:commandButton value="Cancelar" look="danger" style="width:100%" actionListener="#{generoBean.novo}" update="form" ajax="true"/>
                            </b:column>
                        </b:row>

                        <b:row>
                            <b:column>


                                <b:dataTable value="#{generoBean.generos}"
                                             var="g">
                                    <b:dataTableColumn value="#{g.id}" />
                                    <b:dataTableColumn value="#{g.descricao}" />
                                    <b:dataTableColumn >
                                        <b:commandButton value="Salvar" look="primary" icon-spin="true" icon="cd"  update="form" ajax="true" />
                                         <b:commandButton value="Excluir" look="danger" icon-spin="true" icon="cd"  update="form" ajax="true" />
                                    </b:dataTableColumn>
                                </b:dataTable>
                                
                            
                            </b:column>

                        </b:row>

                    </b:container>

                </h:form>



            </ui:define>

        </ui:composition>

    </body>
</html>
